%global namedreltag .Final
%global namedversion %{version}%{?namedreltag}

Name:             jbossws-cxf
Version:          4.1.0
Release:          4%{?dist}
Summary:          JBoss Web Services CXF stack
Group:            Development/Libraries
License:          LGPLv2+
URL:              http://www.jboss.org/jbossws
Source0:          http://download.jboss.org/jbossws/jbossws-cxf-%{namedversion}-src.zip

BuildArch:        noarch

BuildRequires:    jpackage-utils
BuildRequires:    java-devel
BuildRequires:    maven-local
BuildRequires:    maven-compiler-plugin
BuildRequires:    maven-install-plugin
BuildRequires:    maven-jar-plugin
BuildRequires:    maven-javadoc-plugin
BuildRequires:    maven-enforcer-plugin
BuildRequires:    maven-dependency-plugin
BuildRequires:    jaxws-jboss-httpserver-httpspi
BuildRequires:    jboss-jms-1.1-api
BuildRequires:    jboss-ejb-3.1-api
BuildRequires:    jboss-jaxb-2.2-api
BuildRequires:    jboss-saaj-1.3-api
BuildRequires:    jbossws-parent
BuildRequires:    jbossws-common-tools
BuildRequires:    picketbox
BuildRequires:    cxf >= 2.6.3
BuildRequires:    cxf-services >= 2.6.3
BuildRequires:    opensaml-java-parent
BuildRequires:    jbossws-common >= 2.1.0

Requires:         jpackage-utils
Requires:         java
Requires:         jaxws-jboss-httpserver-httpspi
Requires:         jboss-jms-1.1-api
Requires:         jboss-ejb-3.1-api
Requires:         jboss-jaxb-2.2-api
Requires:         jboss-saaj-1.3-api
Requires:         picketbox
Requires:         cxf >= 2.6.3
Requires:         cxf-services >= 2.6.3
Requires:         jbossws-common >= 2.1.0

%description
JBoss Web Services CXF integration stack

%package javadoc
Summary:          Javadocs for %{name}
Group:            Documentation
Requires:         jpackage-utils

%description javadoc
This package contains the API documentation for %{name}.

%prep
%setup -q -n jbossws-cxf-src-dist

%pom_remove_dep "org.springframework:spring-asm" modules/addons/transports/http/httpserver/pom.xml
%pom_remove_dep "org.springframework:spring-asm" modules/client/pom.xml
%pom_remove_dep "org.springframework:spring-asm" modules/server/pom.xml

# Available in JDK
%pom_remove_dep "javax.jws:jsr181-api" modules/client/pom.xml
%pom_remove_dep "javax.jws:jsr181-api" modules/server/pom.xml

%build
# EasyMock Class Extension not available
mvn-rpmbuild -Dmaven.test.skip=true -Dno-testsuite -Pjboss711 package javadoc:aggregate

%install
install -d -m 755 $RPM_BUILD_ROOT%{_javadir}/%{name}
install -d -m 755 $RPM_BUILD_ROOT%{_mavenpomdir}
install -d -m 755 $RPM_BUILD_ROOT%{_javadocdir}/%{name}

for m in resources client server
do
  # JAR
  install -pm 644 modules/${m}/target/jbossws-cxf-${m}-%{namedversion}.jar $RPM_BUILD_ROOT%{_javadir}/%{name}/%{name}-${m}.jar

  # POM
  install -pm 644 modules/${m}/pom.xml $RPM_BUILD_ROOT%{_mavenpomdir}/JPP.%{name}-%{name}-${m}.pom

  # DEPMAP
  %add_maven_depmap JPP.%{name}-%{name}-${m}.pom %{name}/%{name}-${m}.jar
done

install -pm 644 pom.xml $RPM_BUILD_ROOT%{_mavenpomdir}/JPP.%{name}-%{name}.pom
install -pm 644 modules/endorsed/pom.xml $RPM_BUILD_ROOT%{_mavenpomdir}/JPP.%{name}-%{name}-factories.pom
install -pm 644 modules/addons/pom.xml $RPM_BUILD_ROOT%{_mavenpomdir}/JPP.%{name}-%{name}-addons.pom
install -pm 644 modules/addons/transports/http/httpserver/pom.xml $RPM_BUILD_ROOT%{_mavenpomdir}/JPP.%{name}-%{name}-transports-httpserver.pom

install -pm 644 modules/resources/target/jbossws-cxf-resources-%{namedversion}-jboss711.jar $RPM_BUILD_ROOT%{_javadir}/%{name}/%{name}-resources-jboss711.jar
install -pm 644 modules/addons/transports/http/httpserver/target/jbossws-cxf-transports-httpserver-%{namedversion}.jar $RPM_BUILD_ROOT%{_javadir}/%{name}/%{name}-transports-httpserver.jar
install -pm 644 modules/endorsed/target/jbossws-cxf-factories-%{namedversion}.jar $RPM_BUILD_ROOT%{_javadir}/%{name}/%{name}-factories.jar

%add_maven_depmap JPP.%{name}-%{name}.pom
%add_maven_depmap JPP.%{name}-%{name}-addons.pom
%add_maven_depmap JPP.%{name}-%{name}-factories.pom %{name}/%{name}-factories.jar
%add_maven_depmap JPP.%{name}-%{name}-transports-httpserver.pom %{name}/%{name}-transports-httpserver.jar

# APIDOCS
cp -rp target/site/apidocs/* $RPM_BUILD_ROOT%{_javadocdir}/%{name}

%files
%{_mavenpomdir}/*
%{_mavendepmapfragdir}/*
%{_javadir}/*

%files javadoc
%{_javadocdir}/%{name}

%changelog
* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 4.1.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Wed Feb 06 2013 Java SIG <java-devel@lists.fedoraproject.org> - 4.1.0-3
- Update for https://fedoraproject.org/wiki/Fedora_19_Maven_Rebuild
- Replace maven BuildRequires with maven-local

* Thu Nov 22 2012 Marek Goldmann <mgoldman@redhat.com> - 4.1.0-2
- Fix the cxf version after downgrade

* Tue Nov 13 2012 Marek Goldmann <mgoldman@redhat.com> - 4.1.0-1
- Upstream release 4.1.0.Final

* Fri Oct 19 2012 Marek Goldmann <mgoldman@redhat.com> - 4.0.2-3
- Added server, client modules
- Added javadocs subpackage

* Thu Jul 19 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 4.0.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Tue Jul 03 2012 Marek Goldmann <mgoldman@redhat.com> 4.0.2-1
- Initial packaging

